#include <stdio.h>
#include <stdlib.h>
#include "s2plot.h"

int main(int argc, char *argv[])
{
   float x1 = -0.5, x2 = +0.5;			/* Rectangle coordinates */
   float y1 = -0.2, y2 = +0.2;
   float z1 = -0.3, z2 = +0.3;

   s2opend("/?",argc, argv);			/* Open the display */
   s2swin(-1.,1., -1.,1., -1.,1.);		/* Set the window coordinates */
   s2box("BCDET",0,0,"BCDET",0,0,"BCDET",0,0);	/* Draw coordinate box */

   s2sci(S2_PG_YELLOW);
   s2rectxz(x1,x2, z1,z2, y1);			/* Rectangle in x-z plane */
   s2sci(S2_PG_GREEN);
   s2rectxz(x1,x2, z1,z2, y2);			/* Rectangle in x-z plane */

   s2show(1);					/* Open the s2plot window */
   
   return 1;
}
