#include <stdio.h>
#include <stdlib.h>
#include "s2plot.h"

int main(int argc, char *argv[])
{
   float x = 0.0;
   float y = 0.5;
   float z = 0.2; 
   float flipx = -1.0;
   float flipz = -1.0;
   char string[32] = "S2PLOT is great!";

   s2opend("/?",argc, argv);			/* Open the display */
   s2swin(-1.,1., -1.,1., -1.,1.);		/* Set the window coordinates */
   s2box("BCDET",0,0,"BCDET",0,0,"BCDET",0,0);	/* Draw coordinate box */

   s2sci(S2_PG_YELLOW);
   s2slw(2);					/* Set line width */
   s2textxzf(x,y,z,flipx,flipz,string);		/* Write some flipped text in x-z plane */

   s2show(1);					/* Open the s2plot window */
   
   return 1;
}
