#include <stdio.h>
#include <stdlib.h>
#include "s2plot.h"

int main(int argc, char *argv[])
{
   char xopt[] = "BCDETMNOPQ";
   char yopt[] = "BCDETMNOPQ";
   char zopt[] = "BCDETMNOPQ";

   s2opend("/?",argc, argv);			/* Open the display */
   s2swin(-1.,1., -1.,1., -1.,1.);		/* Set the window coordinates */
   s2box(xopt, 0,0, yopt, 0,0, zopt, 0,0);	/* Draw the coordinate box */
   s2lab("X-axis","Y-axis","Z-axis","Plot");	/* Write some labels */

   XYZ xyz1 = { -0.8, -0.8, -0.8 };		/* Box coordinate */
   XYZ xyz2 = { +0.8, +0.8, +0.8 };		/* Box coordinate */

   COLOUR col = { 1.0, 0.3, 0.2 };		/* RGB colours */

   float w = 2.0;				/* Box border width */

   ns2vthwcube(xyz1, xyz2, col, w);

   s2show(1);					/* Open the s2plot window */
   
   return 1;
}
