#include <stdio.h>
#include <stdlib.h>
#include "s2plot.h"

int main(int argc, char *argv[])
{
   XYZ xyz = { 0.3, 0.3, 0.3 };			/* Position */
   COLOUR col = { 1.0, 1.0, 0.0 };		/* Colour */
   float radius = 0.2;
   float sp = 10.0;				/* Rotation speed */

   s2opend("/?",argc, argv);			/* Open the display */
   s2swin(-1.,1., -1.,1., -1.,1.);		/* Set the window coordinates */
   s2box("BCDET",0,0,"BCDET",0,0,"BCDET",0,0);	/* Draw coordinate box */

   ns2vsphere(xyz, radius, col);		/* Draw yellow sphere */

   ss2sss(sp);					/* Set spin speed */
   ss2sas(1);					/* Start camera rotating */

   s2show(1);					/* Open the s2plot window */
   
   return 1;
}
